//---------------------------------------------------------------------------
// Copyright 2000 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Config/Platform.h,v $
// $Id: Platform.h,v 1.8 2004/05/05 21:32:06 ah Exp $
//
// Description: platform dependent standard definitions
//
//---------------------------------------------------------------------------

#ifndef AH_CONFIG_PLATFORM_H	// prevent multiple includes
#define AH_CONFIG_PLATFORM_H

// --- necessary includes ---

// --- compiler specific stuff ---

#ifdef __GNUC__
#   if __GNUC__ < 3
#	define HAS_NO_LOG2		// has no log(2) in math library
#	if __GNUC_MINOR__ < 95
#	    define HAS_NO_NAMESPACE // no working support of name spaces
#	endif
#   endif // gcc 2.x or older
#endif // GNU compiler

// --- name space ---

#ifdef HAS_NO_NAMESPACE

#   define USING_NAMESPACE(name)
#   define BEGIN_NAMESPACE(name)
#   define END_NAMESPACE

#else

#   define USING_NAMESPACE(name)	using namespace name;
#   define BEGIN_NAMESPACE(name)	namespace name {
#   define END_NAMESPACE		};

#endif // !HAS_NO_NAMESPACE

BEGIN_NAMESPACE(AH)
// make namespace AH public available.
END_NAMESPACE

#endif // !AH_CONFIG_PLATFORM_H
