//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/ClosedBox.h,v $
// $Id: ClosedBox.h,v 1.4 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_CLOSEDBOX_H	// prevent multiple includes
#define ETECH_CLOSEDBOX_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/Types.h>
#include <AH/Etech/Box.h>

USING_NAMESPACE(Ah)

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

/// represents a closed loudseaker box
/**
 {\tt ClosedBox} represents a closed loudspeaker box.
 */
class ClosedBox: public Box
{
  protected:
    Dbl Qt;
    bool damped;

  public:
    /// constructor
    ClosedBox(Speaker& s, Dbl q = 0.7, bool d = true, const char* n = "");

    /// virtual destructor
    virtual ~ClosedBox() {}


    /// return damping factor of box-speaker system
    Dbl getQt() const { return Qt; }

    /// calculate parameters: box volume, resonance frequency, lower limit
    void calc (Dbl& Vb, Dbl& Fr, Dbl& F3) const;

}; // class ClosedBox


END_NAMESPACE

#endif // ETECH_CLOSEDBOX_H
