//---------------------------------------------------------------------------
// Copyright 2004 Andreas Huennebeck
//
// Licensed under the terms of the GNU General Public License.
// ABSOLUTELY NO WARRANTY. See the file 'COPYING' in this distribution.
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/IO/Midi/Device.h,v $
// $Id: Device.h,v 1.2 2004/04/20 22:25:30 ah Exp $
//
// Description: class representing a MIDI device. 
//
//---------------------------------------------------------------------------

#ifndef AH_IO_MIDI_DEVICE_H		// prevent multiple includes
#define AH_IO_MIDI_DEVICE_H

// --- forward declarations ---

class IOMidiRawCmd;

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Config/Types.h>
USING_NAMESPACE(AH)

#include <cstdio>

// --- types and classes ---

BEGIN_NAMESPACE(AH)

// represents a MIDI device
class IOMidiDevice
{
 public:
    //-------------------
    // con-/destructors:
    //-------------------
    
    /// constructor for MIDI device 
    IOMidiDevice
    (
    );

    /// destructor
    virtual ~IOMidiDevice();

    /// open MIDI device
    void openDev();

    /// close MIDI device
    void closeDev();

    /// execute command
    void execute(IOMidiRawCmd& cmd);

 protected:

 private:
};

END_NAMESPACE

#endif // !AH_IO_MIDI_DEVICE_H
