//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/KefSpeakers.c,v $
// $Id: KefSpeakers.c,v 1.2 2001/10/05 23:44:26 ah Exp $
//
// Description: implementation of class Speaker
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: KefSpeakers.c,v 1.2 2001/10/05 23:44:26 ah Exp $ (c) 1998 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/KefSpeakers.h>

// --- local stuff ---

// --- class member implementation ---


// default constructor
Kef_B110_A::Kef_B110_A() 
    : Speaker("KEF B 110 SP 1003") 
{
    Rdc = 7.1;		// Ohm
    Ls  = 0.45e-3;	// H
    Fr  = 35;		// Hz
    Qm  = 6.7; 
    Qe  = 0.33; 
    Qt  = 0.31;
    Va  = 23.6;		// liter 
    Spl = 83.1;		// dB/W/m
}

// default constructor
Kef_B110_B::Kef_B110_B() 
    : Speaker("KEF B 110 SP 1057") 
{
    Rdc = 7.1;		// Ohm
    Ls  = 0.45e-3;	// H
    Fr  = 37;		// Hz
    Qm  = 2.44; 
    Qe  = 0.38; 
    Qt  = 0.33;
    Va  = 23.6;		// liter 
    Spl = 84;		// dB/W/m
}

// default constructor
Kef_B200_A::Kef_B200_A() 
    : Speaker("KEF B 200 SP 1014") 
{
    Rdc = 7.1;		// Ohm
    Ls  = 0.42e-3;	// H
    Fr  = 25;		// Hz
    Qm  = 4.7; 
    Qe  = 0.57; 
    Qt  = 0.51;
    Va  = 131.5;	// liter 
    Spl = 85;		// dB/W/m
}

// default constructor
Kef_B200_B::Kef_B200_B() 
    : Speaker("KEF B 200 SP 1039") 
{
    Rdc = 7;		// Ohm
    Ls  = 0.25e-3;	// H
    Fr  = 25;		// Hz
    Qm  = 4.4; 
    Qe  = 0.5; 
    Qt  = 0.45;
    Va  = 130;		// liter 
    Spl = 85.9;		// dB/W/m
}

// default constructor
Kef_B139_B::Kef_B139_B() 
    : Speaker("KEF B 139 SP 1044") 
{
    Rdc = 6.6;		// Ohm
    Ls  = 0.56e-3;	// H
    Fr  = 25;		// Hz
    Qm  = 5.5; 
    Qe  = 0.4; 
    Qt  = 0.37;
    Va  = 164;		// liter 
    Spl = 84.2;		// dB/W/m
}

// default constructor
Kef_B300_B::Kef_B300_B() 
    : Speaker("KEF B 300 SP 1071") 
{
    Rdc = 6.9;		// Ohm
    Ls  = 2.3e-3;	// H
    Fr  = 23;		// Hz
    Qm  = 5.3; 
    Qe  = 0.5; 
    Qt  = 0.46;
    Va  = 130;		// liter 
    Spl = 89;		// dB/W/m
}

