//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/MiscOpAmps.c,v $
// $Id: MiscOpAmps.c,v 1.4 2001/10/05 23:44:26 ah Exp $
//
// Description: implementation of miscellaneous operational amplifiers
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: MiscOpAmps.c,v 1.4 2001/10/05 23:44:26 ah Exp $ (c) 1997 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/MiscOpAmps.h>
#include <AH/Etech/Resistor.h>
#include <AH/Etech/Capacitor.h>

// --- local stuff ---

// --- class member implementation ---


// default constructor
LM833::LM833() : OpAmp("LM833", 300e3, 9e6)
{
    En = 4.5e-9;	// voltage noise density
    FgEn = 50;		// voltage noise frequency
    In = 0.7e-12;	// current noise density
    FgIn = 50;		// current noise frequency
}

// default constructor
NE5532::NE5532() : OpAmp("NE5532", 100e3, 10e6)
{
    En = 5.0e-9;	// voltage noise density
    FgEn = 200;		// voltage noise frequency
    In = 0.7e-12;	// current noise density
    FgIn = 200;		// current noise frequency
}

// default constructor
OP07::OP07() : OpAmp("OP07", 500e3, 600e3, 60, 9.6e-9, 2, 0.12e-12, 100) 
{
    Rin = new Resistor(60e6);	// 60 Mohm (differential)
}

// default constructor
OP27::OP27() : OpAmp("OP27", 2.0e6, 8e6, 70, 3.0e-9, 2.7, 0.4e-12, 140)
{
    Rin = new Resistor(4e6);	// 4 Mohm (differential)
}

// default constructor
OP37::OP37() : OpAmp("OP37", 2.0e6, 63e6, 70, 3.0e-9, 2.7, 0.4e-12, 140)
{
    Rin = new Resistor(4e6);	// 4 Mohm (differential)
}

// default constructor
OP77::OP77() : OpAmp("OP77", 8e6, 600e3, 60, 9.6e-9, 2, 0.12e-12, 100)
{
    Rin = new Resistor(45e6);	// 45 Mohm (differential)
}

// default constructor
OP177::OP177() : OpAmp("OP177", 12e6, 600e3, 60, 10e-9, 1.5) 
{
    Rin = new Resistor(45e6);	// 45 Mohm (differential)
}

