//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/SalKey.c,v $
// $Id: SalKey.c,v 1.2 2001/10/05 23:44:26 ah Exp $
//
// Description: class SalKey
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: SalKey.c,v 1.2 2001/10/05 23:44:26 ah Exp $ (c) 1998 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/SalKey.h>

// --- member functions ---

// get amplification at frequency 'freq':
Cplx SalKey::getA(Dbl freq)
{
    //-------------------------------------------------------------------
    //                                 1
    // A = -----------------------------------------------------------
    //     (Z2/(Z2+Z2)+1/Ad) ((Z4+Z5)/Z5(1+Z3/Z4+Z3/Z6)-Z3/Z4) - Z3/Z6
    //-------------------------------------------------------------------
    const Cplx* Ad = op.getAd(freq);

    Cplx k1 = Z2 / (Z1 + Z2);
    Cplx k2 = (Z4 + Z5) / Z5;
    k2 = k2 * (1 + Z3/Z4 + Z3/Z6);
    k2 = k2 - Z3/Z4;
    Cplx k3 = Z3/Z6;

    if (Ad) k1 = k1 + 1/(*Ad);

    Cplx A = 1 / (k1 * k2 - k3);
    return (A);
}

